/*
 * This file is part of the TuxNES project codebase.
 *
 * Please see the README and COPYING files for more information regarding
 * this project.
 *
 * $Id: renderer_x11.h,v 1.4 2004/07/30 04:25:03 cheako Exp $
 * 
 * Description: Defines the X11 Renderer.
 */

#ifdef HAVE_X
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/keysym.h>
#include <X11/cursorfont.h>
extern Display* display;
extern GC      gc, blackgc;
extern Window   rootwindow, w;
extern XImage  *image;
extern Pixmap layout;

extern int	InitDisplayX11(int argc, char **argv);
extern void	UpdateColorsX11(void);
extern void	UpdateDisplayX11(void);
extern void	UpdateDisplayOldX11(void);
extern void	SaveScreenshotX11(void);
#endif
